#include "W32Compat.hh"
#include <Base/Common/CompareFloatingPoint.hh>

using namespace BIAS;
using namespace std;

namespace BIAS {
  template <typename T>
  T Cast(const double input)
  { return static_cast<T>(rint(input)); }

  template <> BIASCommon_EXPORT
  double Cast<double>(const double input)
  { return input; }

  template <> BIASCommon_EXPORT
  float Cast<float>(const double input)
  { return static_cast<float>(input); }
}


/////////////////////////////////////////////////////////////////////
// instantiation

#define INST(type)\
template BIASCommon_EXPORT type BIAS::Cast<type>(const double);

INST(unsigned char)
INST(int)
INST(char)
INST(short)
INST(unsigned short)
INST(unsigned int)
