#ifndef __ThreadNaming_HH__
#define __ThreadNaming_HH__

//#include <bias_config.h>


/** \ingroup g_utils
\file ThreadNaming.hh
\brief utility function to assign "names" to threads, actually WIN32 only. 
Very useful for debugging multiple threads.

code inspired by http://www.highprogrammer.com/alan/windev/visualstudio.html

\author Jan Woetzel.
**/


#if !defined(WIN32)
//#if 0 // cygwin testing
#  error setting thread name is implemented for WIN32, only. Use/include header only there. Please ifdef your code. (JW)
#else

namespace BIAS {

	/** set the name of a thread. 
	Useful for debugging in WIN32 with MS Visual Studio. 
	typical usage, e.g. as first command in wxThread::Entry()
	BIAS::SetThreadName(this->GetId(), "PTGS_JW");
	@author Jan Woetzel 2005 */
	void
		/* BIASDebug_EXPORT */ 
		SetThreadName(const unsigned long dwThreadID, const char* szThreadName );
} // namespace BIAS

#endif 

#endif // __ThreadNaming_HH__
