# - Find Boost library installation 
# See www.boost.org) 
#  
#  Boost_FOUND
#  Boost_INCLUDE_DIR
#  Boost_graph_LIBRARY
#
# OPTION: 
# Boost_graph_REQUIRED : set it to true before calling this macro 
# if you need the compiled graph read library (Patrick, jw)
#
#
# DO NOT SPEND TIME ON IMPROVEMENTS !!!
# Brad and Andrew are actually developing 
# a general purpose FindBoost.cmake
# which will be included in CMake, soon. (JW)
#
# There is no need to add libs on Windows because boost 
# solves lib dependencies through pragmas in header files.
# (except at least graphviv...)
#
# AUTHOR
# Jan Woetzel <http://www.mip.informatik.uni-kiel.de/~jw> (07/2006)
# based on previous work from Andrew Maclean

#=====================================================================

FIND_PATH(Boost_ROOT_DIR
  NAMES boost/multi_array.hpp
  PATHS
  "${Boost_DIR}" 
  "$ENV{Boost_DIR}" 
  # "$ENV{EXTERN_LIBS_DIR}/boost"
  "C:/boost/"
  "/opt/net/gcc41/boost/"
  #"/opt/net/gcc41/boost_cvs/boost"
  PATH_SUFFIXES
  "include"
  "include/boost-1_33_1"
  "include/boost-1_34_1"
  "include/boost-1_35_1"  
  DOC "Boost root dir containing boost/multi_array.hpp"
  NO_SYSTEM_ENVIRONMENT_PATH
  NO_CMAKE_SYSTEM_PATH
  )
#MESSAGE("DBG Boost_ROOT_DIR=${Boost_ROOT_DIR}")


# Patrick and Jan need this for graphviz IO read
FIND_LIBRARY(Boost_graph_LIBRARY
  NAMES   
  boost_graph-vc-mt-1_35
  #boost_graph-vc-gd-1_35 
  boost_graph-gcc41-1_35
  #libboost_graph-gcc41-1_35.so.1.35.0 
  #boost_graph-gcc41-d-1_35
  PATHS 
  ${Boost_ROOT_DIR}
  PATH_SUFFIXES
  "bin.v2/libs/graph/build/msvc/release/threading-multi"
  "bin.v2/libs/graph/build/gcc-4.1.0/release"  
  #/opt/net/gcc41/boost_cvs/boost/bin.v2/libs/graph/build/gcc-4.1.0/release
  )
#MESSAGE("DBG Boost_graph_LIBRARY=${Boost_graph_LIBRARY}")


SET(Boost_INCLUDE_DIR ${Boost_ROOT_DIR})

IF    (Boost_INCLUDE_DIR)
  SET(Boost_FOUND 1)
ENDIF (Boost_INCLUDE_DIR)


IF   (Boost_graph_REQUIRED)
  IF    (Boost_graph_LIBRARY)
    SET(Boost_FOUND 1)
    GET_FILENAME_COMPONENT(Boost_LINK_DIRECTORIES ${Boost_graph_LIBRARY} PATH)  
  ELSE  (Boost_graph_LIBRARY)
    SET(Boost_FOUND 0)
    IF (NOT Boost_FIND_QUIETLY)      
      MESSAGE("Could not find boost graph library (from cvs)")
    ENDIF (NOT Boost_FIND_QUIETLY)   
  ENDIF (Boost_graph_LIBRARY)
ENDIF(Boost_graph_REQUIRED)


MARK_AS_ADVANCED(
  Boost_INCLUDE_DIR 
  Boost_LINK_DIRECTORIES
  Boost_graph_LIBRARY
)

#=====================================================================
IF(NOT Boost_FOUND)
  # make FIND_PACKAGE friendly
  IF(NOT Boost_FIND_QUIETLY)
    IF(Boost_FIND_REQUIRED)
      MESSAGE(FATAL_ERROR
        "Boost required, please specify it's location.")
    ELSE(Boost_FIND_REQUIRED)
      MESSAGE(STATUS "ERROR: Boost was not found.")
    ENDIF(Boost_FIND_REQUIRED)
  ENDIF(NOT Boost_FIND_QUIETLY)
ENDIF(NOT Boost_FOUND)
