# Find PMDTec time of flight camera access include+library
# See www.PMDtec.de
#
# Birger Streckel

IF(USE_PMD_PMDTec)
  FIND_PATH(PMDTec_INCLUDE_DIR pmdmsdk.h
    ${PMDTEC_ROOT_DIR}
    $ENV{PMD_ROOT_DIR}
	$ENV{PMDTEC_ROOT_DIR}
    $ENV{PMD_DIR}
	$ENV{PMDTEC_DIR}
	"$ENV{EXTERN_LIBS_DIR}/PMDTec/MiniSDK"
	"c:/Externlibs/PMDTec/MiniSDK"
    )

  FIND_LIBRARY(PMDTec_LIBRARY 
    NAMES pmdaccess
    PATHS
    ${PMDTEC_ROOT_DIR}
    $ENV{PMD_ROOT_DIR}
	$ENV{PMDTEC_ROOT_DIR}
    $ENV{PMD_DIR}
	$ENV{PMDTEC_DIR}
	"$ENV{EXTERN_LIBS_DIR}/PMDTec/MiniSDK"
	"c:/Externlibs/PMDTec/MiniSDK"
    DOC "PMD library"
    )
ENDIF(USE_PMD_PMDTec)

IF(USE_PMD_PMDZess)
  FIND_PATH(PMDZess_INCLUDE_DIR PMDDll.h
    ${PMDZESS_ROOT_DIR}
    $ENV{PMD_ROOT_DIR}
	$ENV{PMDZESS_ROOT_DIR}
    $ENV{PMD_DIR}
	$ENV{PMDZESS_DIR}
	"$ENV{EXTERN_LIBS_DIR}/PMDZess/SDK"
    )

  FIND_LIBRARY(PMDZess_LIBRARY 
    NAMES PMDDll
    PATHS
    ${PMDZESS_ROOT_DIR}
	$ENV{PMD_ROOT_DIR}
    $ENV{PMDZESS_ROOT_DIR}
    $ENV{PMDZESS_DIR}
    $ENV{PMD_DIR}	
    "$ENV{EXTERN_LIBS_DIR}/PMDZess/SDK"
	DOC "PMDZess library"
    )
ENDIF(USE_PMD_PMDZess)


IF(PMDTec_INCLUDE_DIR)
  IF(PMDTec_LIBRARY)
    SET( PMDTec_FOUND TRUE )
    SET( PMDTec_LIBRARIES ${PMDTec_LIBRARY} )
  ENDIF(PMDTec_LIBRARY)
ENDIF(PMDTec_INCLUDE_DIR)

IF(PMDZess_INCLUDE_DIR)
  IF(PMDZess_LIBRARY)
    SET( PMDZess_FOUND TRUE )
    SET( PMDZess_LIBRARIES ${PMDZess_LIBRARY} )
  ENDIF(PMDZess_LIBRARY)
ENDIF(PMDZess_INCLUDE_DIR)
