# Try to find CMU 1394 (firewire) digital camera driver library  
#
# Available from:
# www-2.cs.cmu.edu/~iwan/1394/
#
# Once run this will define: 
#
# SWISSRANGER_FOUND
# SWISSRANGER_INCLUDE_DIR
# SWISSRANGER_LIBRARIES
# SWISSRANGER_HEADER       = This is a hack to allow command completion in MSVS
#
#  (SWISSRANGER_LINK_DIRECTORIES: not yet...)
# 
# NOTES
# tested with version 6.2, 6.3 (on Windows XP)
#
# AUTHOR
# Jan Woetzel <http://www.mip.informatik.uni-kiel.de/~jw> (02/2004)

FIND_PATH(SWISSRANGER_INCLUDE_DIR libusbSR.h
  $ENV{SWISSRANGER_DIR}/include
  $ENV{SWISSRANGER_DIR}
  $ENV{SWISSRANGER_HOME}/include
  $ENV{SWISSRANGER_HOME}
  "$ENV{EXTERN_LIBS_DIR}/libusbSR"  
  $ENV{EXTRA}/include
  /usr/local/include
  $ENV{EXTRA}
)
#MESSAGE("DBG SWISSRANGER_INCLUDE_DIR=${SWISSRANGER_INCLUDE_DIR}")  
  
FIND_LIBRARY(SWISSRANGER_LIBRARY
  NAMES libusbSR libusbSR.so usbSR
  PATHS 
  $ENV{SWISSRANGER_DIR}/lib
  $ENV{SWISSRANGER_DIR}
  $ENV{SWISSRANGER_HOME}/lib
  $ENV{SWISSRANGER_HOME}
  "$ENV{EXTERN_LIBS_DIR}/libusbSR"
  /usr/local/lib
  $ENV{EXTRA}/lib
  $ENV{EXTRA}
)
#MESSAGE("DBG SWISSRANGER_LIBRARY=${SWISSRANGER_LIBRARY}")
  
# --------------------------------

IF(SWISSRANGER_LIBRARY)
  SET(SWISSRANGER_LIBRARIES ${SWISSRANGER_LIBRARY})
ELSE(SWISSRANGER_LIBRARY)
  MESSAGE(STATUS "SWISSRANGER library not found.")
ENDIF(SWISSRANGER_LIBRARY)

IF(NOT SWISSRANGER_INCLUDE_DIR)
  MESSAGE(STATUS "SWISSRANGER include dir not found.")
ENDIF(NOT SWISSRANGER_INCLUDE_DIR)

IF(SWISSRANGER_LIBRARIES AND SWISSRANGER_INCLUDE_DIR)
  SET(SWISSRANGER_FOUND TRUE)
  
  # useful to see the headers files in IDE projects
  SET( SWISSRANGER_HEADER 
	  "${SWISSRANGER_INCLUDE_DIR}/definesSR.h"
	  "${SWISSRANGER_INCLUDE_DIR}/libusbSR.h"
  )
  #MESSAGE("DBG SWISSRANGER_HEADER=${SWISSRANGER_HEADER}")
  SOURCE_GROUP(SWISSRANGER FILES ${SWISSRANGER_HEADER})
  
ELSE(SWISSRANGER_LIBRARIES AND SWISSRANGER_INCLUDE_DIR)
  SET(SWISSRANGER_FOUND FALSE)
ENDIF(SWISSRANGER_LIBRARIES AND SWISSRANGER_INCLUDE_DIR)

MARK_AS_ADVANCED(
  SWISSRANGER_INCLUDE_DIR
  SWISSRANGER_LIBRARY
  SWISSRANGER_LIBRARIES
)

# make FIND_PACKAGE case sensitive compatible
SET(SWISSRANGER_FOUND ${SWISSRANGER_FOUND})
