# 
# This convenience include finds if SWISSRANGER library is installed
# and set the appropriate libs, incdirs, flags etc. 
##
# -----------------------------------------------------
# USAGE: 
#      just include Use_SWISSRANGER.cmake 
#      in your projects CMakeLists.txt
# INCLUDE( ${CMAKE_MODULE_PATH}/Use_SWISSRANGER.cmake)
##
# ------------------------------------------------------------------
# @author Jan Woetzel <http://www.mip.informatik.uni-kiel.de/~jw> (02/2004)
# ------------------------------------------------------------------
FIND_PACKAGE( SWISSRANGER )
IF(SWISSRANGER_FOUND)
  IF(SWISSRANGER_INCLUDE_DIR)
    INCLUDE_DIRECTORIES(${SWISSRANGER_INCLUDE_DIR})
  ENDIF(SWISSRANGER_INCLUDE_DIR)
  
  IF(SWISSRANGER_LINK_DIRECTORIES)
    LINK_DIRECTORIES(${SWISSRANGER_LINK_DIRECTORIES})
  ENDIF(SWISSRANGER_LINK_DIRECTORIES)
  IF(SWISSRANGER_LIBRARIES)
    LINK_LIBRARIES(${SWISSRANGER_LIBRARIES})
  ENDIF(SWISSRANGER_LIBRARIES)
  
  IF(SWISSRANGER_HEADER)
	# create a header source group for CMU header files to allow command completion 
	SOURCE_GROUP(SWISSRANGER FILES ${SWISSRANGER_HEADER})
  ENDIF(SWISSRANGER_HEADER)
  
  
ELSE(SWISSRANGER_FOUND)
  MESSAGE(SEND_ERROR "SWISSRANGER not found by Use_SWISSRANGER.cmake")
ENDIF(SWISSRANGER_FOUND)
