
##
## Dart server configuration 
## accepting BIAS build results
##
## author: Jan Woetzel
##

MESSAGE(STATUS "=== === This machine is configured as a possible Dart SERVER === ===")


SET (CVS_WEB_URL "http://${DROP_SITE}/cgi-bin/viewcvs.cgi/BIAS/")
SET (CVS_WEB_CVSROOT "/home/cvs/bias")

OPTION(BUILD_DOXYGEN "Build source documentation using doxygen" "On")
#SET (DOXYGEN_URL "http://${DROP_SITE}/doxyBIAS/")
SET (DOXYGEN_URL "http://${DROP_SITE}/BIAS/Doc/html/")
SET (USE_DOXYGEN "On")
SET (DOXYGEN_CONFIG "${BIAS_BINARY_DIR}/doxy.config")


SET (USE_GNATS "Off")


SET( DETECT_REPEATED_ERRORS ON )

## Project Home Page for HOME button 
SET (PROJECT_URL "http://dartserver")


##
## Email notification system
##

SET (DARTBOARD_BASE_URL "${PROJECT_URL}/BIAS/Testing/HTML/TestingResults")
SET (EMAIL_PROJECT_NAME "BIAS")
SET (EMAIL_FROM "dart@mip.informatik.uni-kiel.de")
SET (SMTP_MAILHOST "nil")

## build monitors always get mail CC, independant of their CVS status.
## filters:  1. site   2. build name  3. destination email adrs.
SET (BUILD_MONITORS "\\
  {.* .* biasmonitor@mip.informatik.uni-kiel.de} \\
  {.* .* dartmsg@mip.informatik.uni-kiel.de} \\
")
# {.* .* jw@mip.informatik.uni-kiel.de} \\
# {.* .* wimi@mip.informatik.uni-kiel.de} \\
# {.* .* bias@mip.informatik.uni-kiel.de} \\

MESSAGE(STATUS "Dart BUILD_MONITORS=${BUILD_MONITORS}")

## notify CVS users who checked in something:
# SET (CVS_IDENT_TO_EMAIL  "{.* jw@mip.informatik.uni-kiel.de}")
SET (CVS_IDENT_TO_EMAIL "\\
{cvs DO_NOT_EMAIL} \\
{dart DO_NOT_EMAIL} \\
{nightlybuild DO_NOT_EMAIL} \\
{skoglund skoglund@isy.liu.se} \\
{klappstein jens.klappstein@daimlerchrysler.com} \\
{.* {\\0@mip.informatik.uni-kiel.de} }\\
")
MESSAGE(STATUS "Dart CVS_IDENT_TO_EMAIL=${CVS_IDENT_TO_EMAIL}")


# SET (DELIVER_BROKEN_BUILD_EMAIL "Nightly Experimental")
SET (DELIVER_BROKEN_BUILD_EMAIL "Nightly")
#SET (DELIVER_BROKEN_BUILD_EMAIL "")

SET (DELIVER_BROKEN_BUILD_EMAIL_WITH_CONFIGURE_FAILURES "1")
SET (DELIVER_BROKEN_BUILD_EMAIL_WITH_BUILD_ERRORS       "1")
SET (DELIVER_BROKEN_BUILD_EMAIL_WITH_BUILD_WARNINGS     "0")
SET (DELIVER_BROKEN_BUILD_EMAIL_WITH_TEST_NOT_RUNS      "0")
SET (DELIVER_BROKEN_BUILD_EMAIL_WITH_TEST_FAILURES      "0")

SET(DELIVER_CONTINUOUS_BUILD_EMAIL OFF)


SET(EXPECTED_BUILDS "\\
  {fulda 1000_BIAS_unix_Debug_Unix_Makefiles_static_libs_nightlybuild_mostOnLibonly} \\
  {visu1 1000_BIAS_unix_Debug_Unix_Makefiles_static_libs_nightlybuild_mostOnLibonly} \\
  {visu1 1002_BIAS_unix_Debug_Unix_Makefiles_static_libs_nightlybuild_mostOnWithExamples} \\
  {DONAU 1000vs8_BIAS_win32_Debug_Visual_Studio_8_2005_static_libs_nightlybuild_mostOnLibonly} \\
  {DONAU 1002vs8_BIAS_win32_Debug_Visual_Studio_8_2005_static_libs_nightlybuild_mostOnWithExamples} \\
")

#  {DONAU 1000_BIAS_win32_Debug_NMake_Makefiles_static_libs_nightlybuild_mostOnLibonly} \\
#  {DONAU 1000vs_BIAS_win32_Debug_Visual_Studio_7_.NET_2003_static_libs_nightlybuild_mostOnLibonly} \\

## logo for Dart HTML pages
CONFIGURE_FILE(
  ${BIAS_SOURCE_DIR}/img/BIASlogo.gif
  ${BIAS_BINARY_DIR}/Testing/HTML/TestingResults/Icons/Logo.gif
  COPYONLY
)


MARK_AS_ADVANCED(
  VALGRIND_COMMAND
  VALGRIND_COMMAND_OPTIONS
)

