/* 
This file is part of the BIAS library (Basic ImageAlgorithmS).

Copyright (C) 2003, 2004    (see file CONTACTS for details)
  Multimediale Systeme der Informationsverarbeitung
  Institut fuer Informatik
  Christian-Albrechts-Universitaet Kiel


BIAS is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or
(at your option) any later version.

BIAS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with BIAS; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#include <Filter/DistTransform.hh>
#include <Image/Contour.hh>
#include <Base/Image/Image.hh>
#include <Base/Image/ImageIO.hh>
#include <Base/Image/ImageDraw.hh>


using namespace BIAS;
using namespace std;

int main (int argc, char *argv[])
{
  if (argc!=2){
    cerr << argv[0] << "  <segmented grey value image>\n";
    return -1;
  }
  Image<unsigned char> im;
  Image<float> res;

  if (ImageIO::Load(argv[1], im)!=0){
    BIASERR("error loading image "<<argv[1]);
    return -2;
  }
  DistTransform<unsigned char, float> dTrans;
  dTrans.SetZeroLevel(255); 
  dTrans.Filter(im,res);  
  ImageIO::Write("distTransform.mip", res);
  cout<<"Written distTransform.mip"<<endl;
  return 0;
}
