#ifndef _CovQuaternion2AxisAngle_hh_
#define _CovQuaternion2AxisAngle_hh_

#include <MathAlgo/UnscentedTransform.hh>

namespace BIAS {

  /** @class CovQuaternion2AxisAngle
      @brief Conversion of a rotation covariance in quaternion representation
      to a covariance in axis-angle representation using the 
      unscented transform.
      @author woelk 08/2006 */
  class CovQuaternion2AxisAngle 
    : public BIAS::UnscentedTransform
  {
  protected:
    virtual int Transform_(const BIAS::Vector<double>& src,
                           BIAS::Vector<double>& dst) const;
  };

} // namespace

#endif // _CovQuaternion2AxisAngle_hh_
