#include <Base/Common/W32Compat.hh>

#include <Gui/OpenGLCanvas.hh>
#include <wx/wx.h>

using namespace BIAS;
using namespace std;


// --------------------------------------------------------
class ExampleOpenGLCanvasApp 
	: public /*wxApp*/ wxGLApp
{
  virtual bool OnInit(); 
}; // end of ExampleOpenGLCanvasApp -----------------------


enum _ExampleOpenGLCanvasMyFrameIDs_ {
	ID_ABOUT=wxID_ABOUT,
	ID_QUIT,
  ID_TESTSHOT
};


// --------------------------------------------------------


/**  @example ExampleOpenGLCanvas.cpp

  Implement your own OpenGLCanvas derived class
	and override one of the Display functions
	to plug in your own GL calls / scene
	@author Jan Woetzel */
class MyGLCanvas : public OpenGLCanvas {
public:
	MyGLCanvas(wxFrame* parent);

	/// constructor using a shared context 
	MyGLCanvas(
			wxFrame* parent
			,wxGLContext* sharedContext
			,wxWindowID id = -1
			,const wxPoint& pos = wxDefaultPosition
			,const wxSize& size = wxDefaultSize
			,long style=0
			,const wxString& name=wxT("MyGLCanvas sharedContext")
			,int* attribList = 0
			,const wxPalette& palette = wxNullPalette
			);

	// override to fire our own Display calls: 
	void DisplayCalls();

};

// --------------------------------------------------------

class MyFrame: public wxFrame {
public:
  MyFrame(const wxString& title, const wxPoint& pos, const wxSize& size);
  void OnQuit(wxCommandEvent& event);
  void OnAbout(wxCommandEvent& event);

  void OnTestShot(wxCommandEvent& event);

  // data member ---
  //BIAS::OpenGLCanvas * p_canvas;
  MyGLCanvas * p_canvas;
  //MyGLCanvas * p_2nd_canvas;

  DECLARE_EVENT_TABLE()
}; // end of MyFrame --------------------------------------

