#ifndef __JointHistogram_hh__
#define __JointHistogram_hh__
#include <Base/Common/BIASpragmaStart.hh>

#include <Base/Image/Image.hh>

namespace BIAS{

  template <class StorageType>
  class BIASImage_EXPORT JointHistogram{

  public:
    JointHistogram();
    ~JointHistogram();

 
    int ComputeParzenWindow(BIAS::Image<StorageType>& image1,
                            BIAS::Image<StorageType>& image2,
                            unsigned int nrOfSamples);

    int Compute(BIAS::Image<StorageType>& image1,
                BIAS::Image<StorageType>& image2);

    void Draw(BIAS::Image<float>& image);

    float CalcShannonEntropy();
    float CalcRenyiEntropy(double alpha);
  protected:
    
    void Normalize_();
    void NormalizeParzen_();

  protected:
    unsigned int dWidth_;
    unsigned int dHeight_;
    unsigned int dChannelCount_;
    BIAS::Image<float> histImage_;
    BIAS::Image<float> drawImage_;
    BIAS::Image<float> gaussImage1_;
    BIAS::Image<float> gaussImage2_;
    BIAS::Image<float> nrImage_;
    unsigned int pixelCount_;
    unsigned int dNumberOfSamples_;
  };
}
#include <Base/Common/BIASpragmaEnd.hh>
#endif
