/* 
This file is part of the BIAS library (Basic ImageAlgorithmS).

Copyright (C) 2003, 2004    (see file CONTACTS for details)
Multimediale Systeme der Informationsverarbeitung
Institut fuer Informatik
Christian-Albrechts-Universitaet Kiel


BIAS is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or
(at your option) any later version.

BIAS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with BIAS; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _PMatrix3DData_hh_
#define _PMatrix3DData_hh_

#include <bias_config.h>

#include <string>

#include <Base/Math/Vector3.hh>
#include <Base/Math/Vector4.hh>
#include <Base/Math/RGBA.hh>


namespace BIAS {

  /** @class PMatrix3DData
  @brief stores important data for drawing a camera */
  class /*BIASUtils_EXPORT*/ PMatrix3DData {
  public:
    BIAS::Vector3<double> C;  ///< camera center in wcs
    BIAS::Vector3<double> UL; ///< upper left corner of image plane in wcs
    BIAS::Vector3<double> UR; ///< upper right corner of image plane in wcs
    BIAS::Vector3<double> LL; ///< lower left corner of image plane in wcs
    BIAS::Vector3<double> LR; ///< lower right corner of image plane in wcs
    BIAS::Vector3<double> PP; ///< principle point in wcs
    BIAS::Vector3<double> Up; ///< Up-Vector (V)

    BIAS::RGBAuc Color;       ///< RGBA color+opacity, 255=opaque, 0=transp.
    std::string name;
  };
} // end namespace


#endif // _PMatrix3DData_hh_

