#include <Image/Camera.hh>
#include <Base/Image/ImageConvert.hh>
#include <Base/Image/ImageIO.hh>
#include <VideoSource/VideoSource_DCAM.hh>
//#include <unistd.h>
//#include <getopt.h>

using namespace BIAS;
using namespace std;

#include <Base/Debug/TimeMeasure.hh>



int main(int argc, char *argv[])
{
  int res = -1;
  
  VideoSource_DCAM *cam;
  Camera<unsigned char> grabimg[2];
  // prepare camera
  cam = new VideoSource_DCAM[2];

  cam[0].SetDebugLevel(D_DCAM |D_DCAM_F7);
  cam[1].SetDebugLevel(D_DCAM |D_DCAM_F7);

  cam[0].UsePort(0);
  cam[1].UsePort(1);

  for (unsigned int i=0;i<2; i++) {
    res = cam[i].OpenDevice() ;
    if (res <0) {
      cerr<<" Can not open camera on bus "<<i<<res<<endl;
      exit(1);
    }
    cam[i].PreGrab();
    cam[i].SetDebugLevel(0);
    cam[i].InitImage(grabimg[i]);
  }

  for (unsigned int i=0;i<2; i++) 
    cam[i].GrabSingle(grabimg[i]);

  ImageIO::Write("cam0",grabimg[0]);

  ImageIO::Write("cam1",grabimg[1]);

  cout <<"Write finished, closing cameras"<<endl;

  for (unsigned int i=0;i<2; i++) {
    cam[i].SetDebugLevel(D_DCAM );
    cam[i].PostGrab();
    cam[i].CloseDevice();
  }
  // delete cam;

  return 0;
}
