#include <iostream>
#include <Utils/Param.hh>
#include <VideoSource/VideoServer.hh>
#include <Base/Debug/TimeMeasure.hh>

using namespace std;
using namespace BIAS;


int main( int argc, char *argv[])
{
  bool done = false;
  Param Params;
  TimeMeasure timer_;
  float fps;
  VideoServer vs;
  Params.SetShortCommand("readconfig",'r');
  Params.SetShortCommand("writeconfig",'w');
  int optind = Params.ParseCommandLine(argc,argv);
  if (optind<0) {
    cout<<"Usage: "<<argv[0]<<" options"<<endl<<
      " by default all images in current dir are taken."<<endl;
    exit(1);
  }
  cout <<"Init class VideoServer"<<endl;
  if (vs.Init() <0) exit(1);
  cout <<"done"<<endl;
  int i=0,res=0;
  while(!done){
    timer_.Start();
    res=vs.ProcessOneImage(); 

    if (res==1) usleep(500); // not yet connected
    timer_.Stop();
    fps = 1000000.0f / float( timer_.GetRealTime() );
    timer_.Reset();
    if (res==0) {
      unsigned int MessageSize = vs.GetMessageSize();
      float bw = (float)MessageSize* fps / 1024;
      cout <<"sent image "<<i<<" size: "<<MessageSize<<" fps: "<<fps
           <<" bandwidth: "<<bw<< " [kB/s]"<<endl;
      i++;    
    }
  }

  return 0;
}

